### Hierarchy

- HttpService

## Index

### Constructors

- constructor

### Accessors

- type
- instance

### Methods

- delete
- get
- post
- put

### Object literals

- optionDefaults

## Constructors

### constructor

- new HttpService(enforcer: any): HttpService

- - Defined in http/http-service.ts:20

  #### Parameters

  - ##### enforcer: any

  #### Returns HttpService

## Accessors

### type

- get type(): string
- set type(value: string): void

- - Defined in http/http-service.ts:64

  #### Returns string

- - Defined in http/http-service.ts:68

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in http/http-service.ts:57

  #### Returns any

## Methods

### delete

- delete(url: string, object: any, options: any): void

- - Defined in http/http-service.ts:53

  #### Parameters

  - ##### url: string

  - ##### object: any

  - ##### options: any

  #### Returns void

### get

- get(url: string, options?: any): any

- - Defined in http/http-service.ts:29

  #### Parameters

  - ##### url: string

  - ##### Default value options: any = this.optionDefaults

  #### Returns any

### post

- post(url: string, object: any, options: any): void

- - Defined in http/http-service.ts:49

  #### Parameters

  - ##### url: string

  - ##### object: any

  - ##### options: any

  #### Returns void

### put

- put(url: string, object: any, options: any): void

- - Defined in http/http-service.ts:45

  #### Parameters

  - ##### url: string

  - ##### object: any

  - ##### options: any

  #### Returns void

## Object literals

### optionDefaults

optionDefaults: object

- Defined in http/http-service.ts:9

### cache

cache: string = "no-cache"

- Defined in http/http-service.ts:10

### credentials

credentials: string = "same-origin"

- Defined in http/http-service.ts:11

### headers

headers: object

- Defined in http/http-service.ts:12

#### Type declaration

### method

method: string = "GET"

- Defined in http/http-service.ts:14

### mode

mode: string = "same-origin"

- Defined in http/http-service.ts:13